datablock TSShapeConstructor(WarthoggattDts)
{
	baseShape  = "Add-ons/vehicle_warthog/Warthoggun.dts";
	sequence0  = "Add-ons/vehicle_warthog/Warthog_root.dsq root";

	sequence1  = "Add-ons/vehicle_warthog/Warthog_root.dsq run";
	sequence2  = "Add-ons/vehicle_warthog/Warthog_root.dsq walk";
	sequence3  = "Add-ons/vehicle_warthog/Warthog_root.dsq back";
	sequence4  = "Add-ons/vehicle_warthog/Warthog_root.dsq side";

	sequence5  = "Add-ons/vehicle_warthog/Warthog_root.dsq crouch";
	sequence6  = "Add-ons/vehicle_warthog/Warthog_root.dsq crouchRun";
	sequence7  = "Add-ons/vehicle_warthog/Warthog_root.dsq crouchBack";
	sequence8  = "Add-ons/vehicle_warthog/Warthog_root.dsq crouchSide";

	sequence9  = "Add-ons/vehicle_warthog/Warthog_look.dsq look";
	sequence10 = "Add-ons/vehicle_warthog/Warthog_root.dsq headside";
	sequence11 = "Add-ons/vehicle_warthog/Warthog_root.dsq headUp";

	sequence12 = "Add-ons/vehicle_warthog/Warthog_root.dsq jump";
	sequence13 = "Add-ons/vehicle_warthog/Warthog_root.dsq standjump";
	sequence14 = "Add-ons/vehicle_warthog/Warthog_root.dsq fall";
	sequence15 = "Add-ons/vehicle_warthog/Warthog_root.dsq land";

	sequence16 = "Add-ons/vehicle_warthog/Warthog_spin.dsq armAttack";
	sequence17 = "Add-ons/vehicle_warthog/Warthog_root.dsq armReadyLeft";
	sequence18 = "Add-ons/vehicle_warthog/Warthog_root.dsq armReadyRight";
	sequence19 = "Add-ons/vehicle_warthog/Warthog_root.dsq armReadyBoth";
	sequence20 = "Add-ons/vehicle_warthog/Warthog_root.dsq spearready";  
	sequence21 = "Add-ons/vehicle_warthog/Warthog_root.dsq spearThrow";

	sequence22 = "Add-ons/vehicle_warthog/Warthog_root.dsq talk";  

	sequence23 = "Add-ons/vehicle_warthog/Warthog_root.dsq death1"; 
	
	sequence24 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftUp";
	sequence25 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftDown";
	sequence26 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftAway";
	sequence27 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftTo";
	sequence28 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftLeft";
	sequence29 = "Add-ons/vehicle_warthog/Warthog_root.dsq shiftRight";
	sequence30 = "Add-ons/vehicle_warthog/Warthog_root.dsq rotCW";
	sequence31 = "Add-ons/vehicle_warthog/Warthog_root.dsq rotCCW";

	sequence32 = "Add-ons/vehicle_warthog/Warthog_root.dsq undo";
	sequence33 = "Add-ons/vehicle_warthog/Warthog_root.dsq plant";

	sequence34 = "Add-ons/vehicle_warthog/Warthog_root.dsq sit";

	sequence35 = "Add-ons/vehicle_warthog/Warthog_root.dsq wrench";
};    

datablock PlayerData(WarthoggattPlayer)
{
   renderFirstPerson = true;
   emap = false;
   
   className = Armor;
   shapeFile = "./Warthoggun.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;
   cameraVerticalOffset = 2.3;
   computeCRC = false;
  
   canObserve = true;
   cmdCategory = "Clients";

   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/player/debris_player.dts";
   //debris = horseDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 0;
   maxFreelookAngle = 3.0;

   mass = 90;
   drag = 0.1;
   maxdrag = 0.52;
   density = 0.7;
   maxDamage = 450;
   maxEnergy =  10;
   repairRate = 0.33;
   energyPerDamagePoint = 75.0;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 12;
   maxBackwardSpeed = 6;
   maxSideSpeed = 1;

   maxForwardCrouchSpeed = 12;
   maxBackwardCrouchSpeed = 6;
   maxSideCrouchSpeed = 1;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 0;
   maxBackwardWalkSpeed = 0;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 8.4;
   maxUnderwaterBackwardSpeed = 7.8;
   maxUnderwaterSideSpeed = 7.8;

   jumpForce = 17 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   recoverDelay = 0;
   recoverRunForceScale = 1.2;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;


ShootOnClick=1;
ShootOnClick_Hold=1;
ShootOnClick_ShootDelay=120;
ShootOnClick_ReShootDelay=120;
ShootOnClick_ProjectileCount=1;
ShootOnClick_RequiredSlot=0;
ShootOnClick_Sound=gunshot1Sound;

ShootOnClick_Projectile[0]=gunProjectile;
ShootOnClick_Position[0]="2.5 0 1.2";
ShootOnClick_Velocity[0]="200 0 0";
ShootOnClick_Scale[0]="1 1 1";

   boundingBox			= vectorScale("2.5 2.5 1.7", 4); 
   crouchBoundingBox	= vectorScale("2.5 2.5 1.7", 4); 
   proneBoundingBox	= vectorScale("2.5 2.5 1.7", 4); 

   pickupRadius = 0.75;
   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1;

   // Foot Prints
   //decalData   = HorseFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = playerJetEmitter;
   jetGroundEmitter = playerJetGroundEmitter;
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 86;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   // Footstep Sounds
   //FootSoftSound        = HorseFootFallSound;
   //FootHardSound        = HorseFootFallSound;
   //FootMetalSound       = HorseFootFallSound;
   //FootSnowSound        = HorseFootFallSound;
   //FootShallowSound     = HorseFootFallSound;
   //FootWadingSound      = HorseFootFallSound;
   //FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   //impactWaterEasy      = ImpactLightWaterEasySound;
   //impactWaterMedium    = ImpactLightWaterMediumSound;
   //impactWaterHard      = ImpactLightWaterHardSound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;
   
   observeParameters = "0.5 4.5 4.5";

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	//uiName = "Warthog gatt";
	rideable = true;
   lookUpLimit = 0.6;
   lookDownLimit = 0.1;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

	brickImage = horseBrickImage;	//the imageData to use for brick deployment

   numMountPoints = 1;
   mountThread[0] = "root";

   //protection for passengers
   protectPassengersBurn   = true;  //protect passengers from the burning effect of explosions?
   protectPassengersRadius = true;  //protect passengers from radius damage (explosions) ?
   protectPassengersDirect = false; //protect passengers from direct damage (bullets) ?
};

datablock WheeledVehicleTire(WarthogTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./Warthogtire.dts";
	
	mass = 10;
   radius = 1;
   staticFriction = 5;
   kineticFriction = 5;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 18000;
   lateralDamping = 4000;
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 14000;
   longitudinalDamping = 2000;
   longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleSpring(WarthogSpring)
{
   // Wheel suspension properties
   length = 0.4;        // Suspension travel
   force = 6000;        // Spring force
   damping = 2000;      // Spring damping
   antiSwayForce = 6;   // Lateral anti-sway force
};

datablock WheeledVehicleData(WarthogVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./Warthog.dts";
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 3;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "root";



	maxDamage = 300.00;
	destroyedLevel = 300.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 -0.9";
   //massBox = "2 5 1";

	maxSteeringAngle = 0.485;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 13;         // Far distance from vehicle
	cameraOffset = 7.5;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= WarthogTire;
	defaultSpring	= WarthogSpring;

   numWheels = 4;//45/29

	// Rigid Body
	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 25000; //4000;       // Engine power
	engineBrake = 5000;         // Braking when throttle is 0
	brakeTorque = 50000;        // When brakes are applied
	maxWheelSpeed = 30;        // Engine scale by current speed / max speed

	rollForce		= 900;
	yawForce		= 600;
	pitchForce		= 1000;
	rotationalDrag		= 0.2;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = jeepSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";


//This is just to keep people from using weapons in the vehicle.

   shootonclick2 = 1; 
   
   shootonclick2_Hold = 1;
   shootonclick2_ShootDelay = 200;
   shootonclick2_ReShootDelay = 200;
   shootonclick2_ProjectileCount = 1;
   shootonclick2_RequiredSlot = 0;

   shootonclick2_Projectile[0] = BlankProjectile;
   shootonclick2_Position[0] = "2 3 9.3";
   shootonclick2_Velocity[0] = "120 0 0";
   shootonclick2_Scale[0] = "2 2 2";

//End of remove weapons script.
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = rocketLoopSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Warthog ";
	rideable = true;
   //lookUpLimit = 0.9;
   //lookDownLimit = 0.1;
   lookUpLimit  = 0.5;
   lookDownLimit = 0.5;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = WarthogExplosionProjectile;
   initialExplosionOffset = 1;         //offset only uses a z value for now

   burnTime = 4000;

   finalExplosionProjectile = VehicleFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 4;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 25;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

   //protection for passengers
   protectPassengersBurn   = true;  //protect passengers from the burning effect of explosions?
   protectPassengersRadius = true;  //protect passengers from radius damage (explosions) ?
   protectPassengersDirect = false; //protect passengers from direct damage (bullets) ?
};

function WarthogVehicle::onAdd(%this,%obj)
{
   // Setup the car with some defaults tires & springs
   for(%i = 0; %i < %this.numWheels; %i++)
   {
      %obj.setWheelTire(%i, %this.defaultTire);
      %obj.setWheelSpring(%i, %this.defaultSpring);
   }

   // 4 wheel steering
   %obj.setWheelSteering(0,1);
   %obj.setWheelSteering(1,1);
   %obj.setWheelSteering(2,-1);
   %obj.setWheelSteering(3,-1);

   // 4 wheel drive
   %obj.setWheelPowered(0,true);
   %obj.setWheelPowered(1,true);
   %obj.setWheelPowered(2,true);
   %obj.setWheelPowered(3,true);

   // gatt
   %t = new AIPlayer()
   {
      dataBlock = WarthoggattPlayer;
   };
   MissionCleanup.add(%t);
   %obj.mountObject(%t, 2);
   %obj.gatt = %t;

   %obj.creationTime = getSimTime();
   %t.schedule(10,"riggatt");
}

function Player::riggatt(%obj)
{
   if(%obj.dataBlock !$= WarthoggattPlayer)
	   return;

   if(!isObject(%obj))
	   return;

   %parent = %obj.getObjectMount();
   if(!isObject(%parent))
	   return;

   %obj.spawnBrick = %parent.spawnBrick;
   %obj.brickGroup = %parent.brickGroup;
}

function WarthogVehicle::onRemove(%this,%obj)
{
   if(isObject(%obj.gatt))
	   %obj.gatt.delete();
}

function WarthoggattPlayer::onDriverLeave(%this,%obj)
{
   %obj.setTransform("0 0 0 0 0 0 0");
}

package WarthogPackage
{
   function serverCmdNextSeat(%client)
   {
      if(!isObject(%client.player.getObjectMount()))
         return;

      %vehicle = %client.player.getObjectMount();
      if(!%vehicle.dataBlock.rideable)
         return;

      %totalMounts =  0;
      if(isObject(%vehicle.getObjectMount()))
      {
         %totalMounts = 1;
         %mount0 = %vehicle.getObjectMount();
      }
      %mount[%totalMounts] = %vehicle;
      %totalMounts++;
      for(%i=0;%i<%vehicle.dataBlock.numMountPoints;%i++)
      {
         %mountedObject = %vehicle.getMountNodeObject(%i);
         if(%mountedObject !$= 0)
         {
            if(%mountedObject.dataBlock.rideable)
            {
               %mount[%totalMounts] = %mountedObject;
               %totalMounts++;
            }
         }
      }

      %seats = 0;
      for(%i=0;%i<%totalMounts;%i++)
      {
         %mVehicle = %mount[%i];
         for(%j=0;%j<%mVehicle.dataBlock.numMountPoints;%j++)
         {
            %mMount = %mVehicle.getMountNodeObject(%j);	
            %seat[%seats] = ((%i+1)*100)+%j;
            if(isObject(%mMount))
            {
               if(%mMount $= %client.player)
                  %currSeat = %seats;
            }
            else
               %freeSeats++;
            %seats++;
         }
      }

      if(%freeSeats < 1)
         return;

      %sId = %currSeat+1;
      if(%sId >= %seats)
         %sId = 0;
      while(%foundSeat $= "")
      {
         %seatStr = %seat[%sId];
         %cVehicle = %mount[getSubStr(%seatStr,0,1)-1];
         %searchSeat = getSubStr(%seatStr,2,1);
         if(%cVehicle.getMountNodeObject(%searchSeat) $= 0)
         {
            %foundSeat = %searchSeat;
            break;
         }
         %sId++;
      
         if(%sId >= %seats)
            %sId = 0;

         %k++;
         if(%k > 100)
            return;
      }
      %cVehicle.mountObject(%client.player,%foundSeat);
   }

   function serverCmdPrevSeat(%client)
   {
      if(!isObject(%client.player.getObjectMount()))
         return;

      %vehicle = %client.player.getObjectMount();
      if(!%vehicle.dataBlock.rideable)
         return;

      %totalMounts =  0;
      if(isObject(%vehicle.getObjectMount()))
      {
         %totalMounts = 1;
         %mount0 = %vehicle.getObjectMount();
      }
      %mount[%totalMounts] = %vehicle;
      %totalMounts++;
      for(%i=0;%i<%vehicle.dataBlock.numMountPoints;%i++)
      {
         %mountedObject = %vehicle.getMountNodeObject(%i);
         if(%mountedObject !$= 0)
         {
            if(%mountedObject.dataBlock.rideable)
            {
               %mount[%totalMounts] = %mountedObject;
               %totalMounts++;
            }
         }
      }

      %seats = 0;
      for(%i=0;%i<%totalMounts;%i++)
      {
         %mVehicle = %mount[%i];
         for(%j=0;%j<%mVehicle.dataBlock.numMountPoints;%j++)
         {
            %mMount = %mVehicle.getMountNodeObject(%j);	
            %seat[%seats] = ((%i+1)*100)+%j;
            if(isObject(%mMount))
            {
               if(%mMount $= %client.player)
                  %currSeat = %seats;
            }
            else
               %freeSeats++;
            %seats++;
         }
      }

      if(%freeSeats < 1)
         return;

      %sId = %currSeat-1;
      if(%sId < 0)
         %sId = %seats--;
      while(%foundSeat $= "")
      {
         %seatStr = %seat[%sId];
         %cVehicle = %mount[getSubStr(%seatStr,0,1)-1];
         %searchSeat = getSubStr(%seatStr,2,1);
         if(%cVehicle.getMountNodeObject(%searchSeat) $= 0)
         {
            %foundSeat = %searchSeat;
            break;
         }
         %sId--;
      
         if(%sId < 1)
            %sId = %seats-1;

         %k++;
         if(%k > 100)
            return;
      }
      %cVehicle.mountObject(%client.player,%foundSeat);
   }

   function Player::burn(%obj,%time)
   {
	if(%obj.dataBlock $= WarthoggattPlayer)
	   return;
	else
	   Parent::burn(%obj,%time);
   }

   function ShapeBase::setNodeColor(%obj,%node,%color)
   {
	parent::setnodecolor(%obj,%node,%color);
	if(isObject(%obj.gatt))
	{
	   %obj.gatt.setNodeColor("ALL",%color);
	}
   }

   function WarthogVehicle::Damage(%this,%obj,%source,%pos,%amm,%type)
   {
      if((%obj.getDamageLevel()+%amm) >= %this.maxDamage)
      {
         if(%obj.destroyed)
            return;

         %obj.setNodeColor("ALL","0 0 0 1");
         if(isObject(%obj.gatt))
         {
            %obj.gatt.delete();

         }
         else
         {
            %p = new Projectile()
            {
               dataBlock = vehicleExplosionProjectile;
               initialPosition = vectorAdd(%obj.getPosition(),"0 0" SPC %this.initialExplosionOffset);
               initialVelocity = "0 0 1";
               client = %obj.lastDamageClient;
               sourceClient = %obj.lastDamageClient;
            };
            MissionCleanup.add(%p);
         }
         if(%obj.destroyed)
            return;

         %obj.setDamageLevel(%this.maxDamage);
         %obj.destroyed = 1;
         %obj.schedule(%this.burnTime,"finalExplosion");
         if(isObject(%obj.spawnBrick.client.minigame))
            %respawn = %obj.spawnBrick.client.minigame.vehicleReSpawnTime;
         %obj.spawnBrick.schedule(%respawn,"spawnVehicle");
      }
      else
         Parent::Damage(%this,%obj,%source,%pos,%amm,%type);
   }

   function Player::emote(%obj,%emote)
   {
      if(%obj.dataBlock $= WarthoggattPlayer)
	      return;
      Parent::emote(%obj,%emote);
   }

   function WarthoggattPlayer::onDamage(%this,%obj,%ammount)
   {
      if(%obj.dataBlock $= WarthoggattPlayer)
         return;
	   Parent::onDamage(%this,%obj,%ammount);
   }

   function WarthogShellProjectile::onCollision(%this,%obj,%col,%a,%b,%c,%d,%e)
   {
      if(%col.dataBlock.className $= "Glass" && !%col.indestructable)
      {
         %col.explode();
      }
      Parent::onCollision(%this,%obj,%col,%a,%b,%c,%d,%e);
   }

   function WarthoggattPlayer::onDisabled(%this,%obj,%state)
   {
      %p = new Projectile()
      {
         dataBlock = WarthoggattExplosionProjectile;
         initialPosition = vectorAdd(%obj.getObjectMount().getPosition(),"0 0" SPC %obj.getObjectMount().dataBlock.initialExplosionOffset);
         initialVelocity = "0 0 1";
         client = %obj.lastDamageClient;
         sourceClient = %obj.lastDamageClient;
      };
      MissionCleanup.add(%p);
      %obj.schedule(10,"delete");
      %player = %obj.getMountedObject(0);
      if(isObject(%player))
      {
         %obj.getObjectMount().schedule(10,"mountObject",%player,2);
      }
   }

   function WarthoggattPlayer::Damage(%this,%obj,%source,%pos,%amm,%type)
   {
      //scale the damage ammount as if this was a vehicle
      %amm *= $Damage::VehicleDamageScale[%type];

      if(%obj.getDamageLevel()+%amm > %this.maxDamage)
         %obj.setDamageLevel(%this.maxDamage);
      else
         Parent::Damage(%this,%obj,%source,%pos,%amm,%type);
   }

   function armor::onMount(%this,%obj,%col,%slot)
   {
      Parent::onMount(%this,%obj,%col,%slot);
      if(%col.dataBlock $= WarthogVehicle)
      {
         if(%slot $= 2)
         {
            %obj.setLookLimits(1,0);
         }
      }
      else if(%col.dataBlock $= WarthoggattPlayer)
      {
         %client = %obj.client;
         if(isObject(%client))
            ServerCmdUnUseTool(%client);
      }

   
   }
};
activatepackage(WarthogPackage);


datablock DebrisData(gattDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./Warthoggun.dts";
	lifetime = 3.0;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};



datablock ExplosionData(WarthoggattExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 150;

   soundProfile = vehicleExplosionSound;
   
   emitter[0] = vehicleExplosionEmitter;
   emitter[1] = vehicleExplosionEmitter2;

   debris = gattDebris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 20;
   debrisVelocity = 18;
   debrisVelocityVariance = 3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "7.0 8.0 7.0";
   camShakeAmp = "10.0 10.0 10.0";
   camShakeDuration = 0.75;
   camShakeRadius = 15.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 20;
   lightStartColor = "0.45 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 15;
   impulseForce = 1000;
   impulseVertical = 2000;

   //radius damage
   radiusDamage        = 30;
   damageRadius        = 8.0;

   //burn the players?
   playerBurnTime = 5000;

};



datablock DebrisData(WarthogDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./Warthog.dts";
	lifetime = 3.0;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

datablock ExplosionData(WarthogShellExplosion)
{
   explosionShape = "";
   soundProfile = rocketExplodeSound;

   lifeTimeMS = 150;


   particleEmitter = gravityRocketExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   emitter[0] = gravityRocketExplosionRingEmitter;
   emitter[1] = gravityRocketExplosionChunkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 20.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 1 0 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 8;
   radiusDamage = 170;

   impulseRadius = 15;
   impulseForce = 5000;

   playerBurnTime = 5000;
};




datablock ProjectileData(BlankProjectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 0;
   directDamageType = $DamageType::WarthogShellDirect;
   radiusDamageType = $DamageType::WarthogShellRadius;
   impactImpulse	   = 0;
   verticalImpulse	   = 0;

  // sound = rocketLoopSound;

   muzzleVelocity      = 1;

   armingDelay         = 0;
   lifetime            = 1;
   fadeDelay           = 4000;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 1.0;

   hasLight    = false;
   lightRadius = 5.0;
   lightColor  = "1 0.5 0.0";

   explodeOnDeath = 0;

   uiName = "Blank Projectile"; //naming it this way so it's next to the rocket in the alphabetized list
};


package MountingPackage
{
   function armor::onTrigger(%this, %obj, %triggerNum, %val)
   {
      %mount = %obj.getObjectMount();
      if(isObject(%mount))
      {
         if(%mount.getDataBlock() == WarthoggattPlayer.getId() && %triggerNum == 0 && %val)
         {
            %client = %obj.client;
            if(isObject(%client))
            ServerCmdUnUseTool(%client); //make it so they cannot hold weapons and fire the turret.
	    return;
         }
      }
      
      Parent::onTrigger(%this,%obj,%triggerNum,%val);
   }
};
activatepackage(MountingPackage);